/**
 *
 * @author Diorgenes Felipe Grzesiuk <diorgenes@prognus.com.br>
 * @copyright Copyright 2007-2008 Prognus
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as published by
 * the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package br.com.prognus.psync.items.model;

import java.sql.Timestamp;

import com.funambol.common.pim.contact.Contact;

public class ContactWrapper {

	// ---------------------------------------------------------------
	// Properties

	Contact c;

	public Contact getContact() {
		return this.c;
	}

	String userId;

	public String getUserId() {
		return this.userId;
	}

	String id;

	public void setId(String id) {
		this.id = id;
	}

	public String getId() {
		return this.id;
	}

	Timestamp lastUpdate;

	public void setLastUpdate(Timestamp lastUpdate) {
		this.lastUpdate = lastUpdate;
	}

	public Timestamp getLastUpdate() {
		return this.lastUpdate;
	}

	char status;

	public void setStatus(char status) {
		this.status = status;
	}

	public char getStatus() {
		return this.status;
	}

	// -------------------------------------------------------------
	// Constructors

	/**
	 * Creates a new instance of ContactWrapper.
	 * 
	 * @param id
	 *            the unique ID of this wrapper
	 * @param userId
	 *            the ID of the user who owns this contact
	 * @param c
	 *            the wrapped Contact object
	 */
	public ContactWrapper(String id, String userId, Contact c) {

		this.id = id;
		this.userId = userId;
		this.c = c;
	}
}
